|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QGraphicsItem

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QGraphicsItem class reference

### Public Functions

- QMatrix matrix () const `(obsolete)`
- void resetMatrix () `(obsolete)`
- QMatrix sceneMatrix () const `(obsolete)`
- void setMatrix ( const QMatrix & matrix, bool combine = false ) `(obsolete)`

## Member Function Documentation

### QMatrix QGraphicsItem::matrix () const

Returns the item's affine transformation matrix. This is a subset or the item's full transformation matrix, and might not represent the item's full transformation.

Use transform() instead.

See also setMatrix(), setTransform(), and sceneTransform().

### void QGraphicsItem::resetMatrix ()

Use resetTransform() instead.

### QMatrix QGraphicsItem::sceneMatrix () const

Use sceneTransform() instead.

See also transform(), setTransform(), scenePos(), and The Graphics View Coordinate System.

### void QGraphicsItem::setMatrix ( const QMatrix & matrix, bool combine = false )

Sets the item's affine transformation matrix. This is a subset or the item's full transformation matrix, and might not represent the item's full transformation.

Use setTransform() instead.

See also matrix(), transform(), rotate(), scale(), shear(), translate(), and The Graphics View Coordinate System.